{
  "name": "x-projects-back",
  "version": "1.0.0",
  "main": "index.js",
  "scripts": {
    "dev": "cross-env NODE_ENV=development nodemon",
    "lint:fix": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix"
  },
  "nodemonConfig": {
    "watch": [
      "src"
    ],
    "exec": "tsc -p . && node ./dist/src/app/main.js",
    "ext": "ts,js,json"
  },
  "_moduleAliases": {
    "@x-projects": "./dist/src"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "description": "",
  "dependencies": {
    "app-root-path": "^3.1.0",
    "body-parser": "^1.20.2",
    "cors": "^2.8.5",
    "cross-env": "^7.0.3",
    "dotenv": "^16.4.5",
    "express": "^4.19.2",
    "express-validation": "^4.1.1",
    "joi": "^17.13.3",
    "jsonwebtoken": "^9.0.2",
    "lodash": "^4.17.21",
    "mongoose": "^8.4.3",
    "multer": "^1.4.5-lts.1"
  },
  "devDependencies": {
    "@types/cors": "^2.8.17",
    "@types/express": "^4.17.21",
    "@types/jsonwebtoken": "^9.0.6",
    "@types/lodash": "^4.17.5",
    "@types/module-alias": "^2.0.4",
    "@types/mongoose": "^5.11.97",
    "@types/multer": "^1.4.11",
    "@types/node": "^20.14.7",
    "@typescript-eslint/eslint-plugin": "^6.0.0",
    "@typescript-eslint/parser": "^6.0.0",
    "eslint": "^8.42.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-prettier": "^5.0.0",
    "module-alias": "^2.2.3",
    "nodemon": "^3.1.4",
    "prettier": "^3.0.0",
    "tslib": "^2.6.3",
    "typescript": "^5.5.2"
  }
}
